cudnn_frontend::EngineBuilder_v8
cudnn_frontend_Engine.h
Engine_v8 Engine_v8 cudnn_frontend::EngineBuilder_v8::m_engine m_engine
auto auto cudnn_frontend::EngineBuilder_v8::setOperationGraph (OperationGraph_v8 const &opGraph_) -> EngineBuilder_v8 & setOperationGraph OperationGraph_v8 const & opGraph_

Set operationGraph for the engine.

auto auto cudnn_frontend::EngineBuilder_v8::setOperationGraph (ManagedOpaqueDescriptor desc_) -> EngineBuilder_v8 & setOperationGraph ManagedOpaqueDescriptor desc_

Set operationGraph for the engine.

auto auto cudnn_frontend::EngineBuilder_v8::setGlobalEngineIdx (int64_t idx_) -> EngineBuilder_v8 & setGlobalEngineIdx int64_t idx_

Set engine index for the engine.

cudnn_frontend::EngineFallbackListBuilder_v8::build
Engine_v8 && Engine_v8&& cudnn_frontend::EngineBuilder_v8::build () build

constructs the Engine_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::Engine_v8::EngineBuilder_v8
cudnn_frontend::getLogger
cudnn_frontend::Engine_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::EngineBuilder_v8::EngineBuilder_v8
()=default
EngineBuilder_v8
cudnn_frontend::EngineBuilder_v8::~EngineBuilder_v8
()=default
~EngineBuilder_v8
cudnn_frontend::EngineBuilder_v8::EngineBuilder_v8
(EngineBuilder_v8 &&)=delete
EngineBuilder_v8
EngineBuilder_v8 &&
cudnn_frontend::EngineBuilder_v8::EngineBuilder_v8
(EngineBuilder_v8 const &)=delete
EngineBuilder_v8
EngineBuilder_v8 const &
EngineBuilder_v8 & EngineBuilder_v8& cudnn_frontend::EngineBuilder_v8::operator= (EngineBuilder_v8 const &)=delete operator= EngineBuilder_v8 const &

EngineBuilder_v8 Class Helper class used to build Engine_v8 class

std::vector< cudnn_frontend::Engine_v8::Knob >
+elements
< cudnn_frontend::Engine_v8::Knob >
shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
std::array< T >
+elements
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
+elements
< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
cudnn_frontend::EngineBuilder_v8
-m_engine
cudnnStatus_t
std::basic_string< char >
ManagedOpaqueDescriptor
int64_t
cudnnBackendKnobType_t
cudnn_frontend::Engine_v8
-bKnobs
-idx
-numKnobs
-opGraphTag
-opGraph
-knobs
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
cudnn_frontend::Engine_v8::Knob
-knobType
-minValue
-maxValue
-stride
-choice
std::string
- cudnn_frontend::EngineBuilder_v8
  build
- cudnn_frontend::EngineBuilder_v8
  EngineBuilder_v8
- cudnn_frontend::EngineBuilder_v8
  EngineBuilder_v8
- cudnn_frontend::EngineBuilder_v8
  EngineBuilder_v8
- cudnn_frontend::EngineBuilder_v8
  m_engine
- cudnn_frontend::EngineBuilder_v8
  operator=
- cudnn_frontend::EngineBuilder_v8
  setGlobalEngineIdx
- cudnn_frontend::EngineBuilder_v8
  setOperationGraph
- cudnn_frontend::EngineBuilder_v8
  setOperationGraph
- cudnn_frontend::EngineBuilder_v8
  ~EngineBuilder_v8